# 10. Reference

## API Documentation

 * @scaladoc:[Scaladoc](org.apache.pekko.http.scaladsl.index)
 * @javadoc:[Javadoc](org.apache.pekko.http.javadsl.package-summary)

## Directives

 * @ref:[Directives By Trait](routing-dsl/directives/by-trait.md)
 * @ref:[Directives Alphabetically](routing-dsl/directives/alphabetically.md)

## Books

 * The best option is to get a book about [Akka HTTP](https://doc.akka.io/docs/akka-http/current/reference.html). Anything you learn should be useful when it comes to Pekko HTTP.